Insync 3.0.16 not starting on ArchLinux

Howdy folks,

The last three(?) versions of insync have had the same problem - since there were a few releases in quick succession I figured maybe I could wait it out, but seems that’s not my luck (yet).

insync start --no-daemon
Gtk-Message: 22:22:43.269: Failed to load module "canberra-gtk-module"
Gtk-Message: 22:22:43.269: Failed to load module "canberra-gtk-module"
QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled
libpng warning: iCCP: known incorrect sRGB profile
INFO     2019-09-05 22:22:43,600 [mainlogs:_log_run:92] Core(app_version=3.0.16.40306, platform=Linux-x86_64-arch/rolling) initialized
WebEngineContext used before QtWebEngine::initialize() or OpenGL context creation failed.
/usr/lib/insync/QtWebEngineProcess --type=zygote --webengine-schemes=qrc:sLV --lang=en-US: relocation error: /usr/lib/insync/QtWebEngineProcess --type=zygote --webengine-schemes=qrc:sLV --lang=en-US: symbol _ZN7content20localtime_r_overrideEPKlP2tm version Qt_5 not defined in file libQt5WebEngineCore.so.5 with link time reference
zsh: trace trap (core dumped)  insync start --no-daemon

I’m not sure if this is specific to me and my configuration. I’m running:

  • XFCE 4.14
  • Intel integrated graphics
  • Linux 5.2.9
  • mesa 19.1.5 (32 and 64 bit)

I can list more if needed, but from what I understand insync generally provides its own library versions.

Hi @thenaterhood,

Can you let me know what build you tried to install?

We unfortunately do not have an “official build” for Arch on Insync 3.

Right now I’m building from 3.0.16.40306, Ubuntu Bionic - knew I missed an important detail!

I have the same issue.
I am not able to get any version running on current arch (neither version 3 manually nor 1.5.7 from AUR).
Any ideas?

1.5.7 from the AUR works fine for me (and others, based on the few comments saying otherwise). I’m thinking about trying a build for a newer Ubuntu, maybe it’s new enough that it’s “closer” to Arch in terms of versions.

Thanks for your reply.
Did you install the latest arch updates?

I just end up with this error since yesterday:

insync start --no-daemon
qt.qpa.plugin: Could not load the Qt platform plugin "wayland" in "" even though it was found.
which: no kreadconfig in (/usr/lib/insync:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl)
INFO     2019-09-07 17:24:47,182 [__main__insync__:main:105] insync version: 1.5.7.37371
INFO     2019-09-07 17:24:47,185 [__main__insync__:main:106] client created <ideskmain.client.Client object at 0x7ff242e45e50>
INFO     2019-09-07 17:24:47,187 [unix_socket_server_portable:start:49] unix socket server thread start
INFO     2019-09-07 17:24:47,189 [__main__insync__:main:114] starting client
INFO     2019-09-07 17:24:47,201 [fswatch:_start:532] LinuxFSWatcher._start
INFO     2019-09-07 17:24:47,207 [fswatch:_pull_loop:267] Inotify loop enter
libpng warning: iCCP: known incorrect sRGB profile
Received signal 11 SEGV_MAPERR 000000000108
#0 0x7ff246d9e58f <unknown>
#1 0x7ff2457d085d <unknown>
#2 0x7ff246d9ea9e <unknown>
#3 0x7ff273c5ad00 <unknown>
#4 0x7ff265f74714 <unknown>
#5 0x7ff265f759a8 <unknown>
#6 0x7ff2717ff9f4 glXCreatePbuffer
#7 0x7ff2458327b9 <unknown>
#8 0x7ff24581d818 <unknown>
#9 0x7ff2478da47d <unknown>
#10 0x7ff245b21151 <unknown>
#11 0x7ff245b22945 <unknown>
#12 0x7ff247d90707 <unknown>
#13 0x7ff2495c7375 <unknown>
#14 0x7ff246e06f45 <unknown>
#15 0x7ff246e022e0 <unknown>
#16 0x7ff273c5057f start_thread
#17 0x7ff2738190e3 __GI___clone
  r8: 000055f2b26e8220  r9: 0000000000000000 r10: 0000000000000006 r11: 0000000000000206
 r12: 000055f2b2e5e0a0 r13: 000055f2b2ead6e0 r14: 0000000000000001 r15: 0000000000000008
  di: 000055f2b2e5e0a0  si: 0000000000000000  bp: 000055f2b2e5e0a0  bx: 0000000000000000
  dx: 0000000000008041  ax: ffffffffffffff50  cx: 0000000000000000  sp: 00007ff1cf7fd480
  ip: 00007ff265f74714 efl: 0000000000010202 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000108
[end of stack trace]
Calling _exit(1). Core file will not be generated

I’m about a few days behind on updates, but I can update today and see if anything changes. I’m not using wayland so I suspect I won’t see the same as you.

I have a /usr/bin/kreadconfig. Based on the which: no kreadconfig in (/usr/lib/insync:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl) in your output, maybe there’s a missing dependency. I don’t know offhand what provides that.

Based on a new comment on the AUR package, I switched to build from Debian Buster. No change for me there, same error as I was getting originally.

I tried to figure out which package comes with kreadconfig but i couldn’t.
Seems to be part of some KDE packages…

erik dubois has made a new pkgbuild and linked it in the aur page https://aur.archlinux.org/packages/insync/
http://bit.ly/insync-pkgbuild
iam on manjaro linux and it works out of the box

1 Like

Thank you for all the help, @hanny!!

1 Like

I’ve teamed up with Erik Dubois on the AUR package. So far it seems that his PKGBUILD is promising.

1 Like